using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Dynamic;

namespace RadGridView_WPF_NoXAML_4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<MyDataRow> items = new List<MyDataRow>();
            for (int i = 0; i < 100000; i++)
            {
                dynamic item = new MyDataRow();
                for (int j = 0; j < 50; j++)
                {
                    item[j.ToString()] = j;
                }
                items.Add(item);
            }
            dynGrid.ItemsSource = items;
        }
    }
}
